> For the complete documentation index, see [llms.txt](https://docs.ecwid.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.ecwid.com/changelog/march-2025/march-20/sha1-replaced-with-sha256-for-the-storefront-sso-feature.md).

# SHA1 replaced with SHA256 for the Storefront SSO feature

{% hint style="danger" %}
**Breaking changes!**\
Сhanges listed below may break some apps' logic.
{% endhint %}

#### What's new

The encryption mechanism for SSO was updated from SHA1 to SHA256 for security enhancement.

{% content-ref url="/spaces/G9n5VxMY9T0Ob3D56PSD/pages/beXS323AibMJ1lg7UkOH" %}
[SSO (Single-Sign-On) for websites](/api-reference/rest-api/storefront-widget-details/sso-single-sign-on-for-websites.md)
{% endcontent-ref %}

#### Changes in API

Payload signing now uses sha256. Code example on PHP:

```php
<?php
    $client_secret = "A1Lu7ANIhKD6A1Lu7ANIhKD6ADsaSdsa"; // example value
    $message = base64_encode("{appClientId: 'my-cool-app', userId:'234', profile: { email:'test@example.com', billingPerson: { name: 'John Doe' } }}"); // example values
    $timestamp = time();
    $hmac = hash_hmac('sha256', "$message $timestamp", $client_secret);
​
    echo "<script> var ecwid_sso_profile = '$message $hmac $timestamp'; </script>";
?>
```

#### Why the changes are breaking

The SHA1 encryption is now discontinued. If the encryption mechanism isn't updated in the code, the SSO will stop working.

#### How to update the app

1. Check if your app uses SSO on the website.
2. Check the code to find the `hash_hmac()` encryption.
3. Update the `'sha1'` with `'sha256'` inside the `hash_hmac()`  method.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.ecwid.com/changelog/march-2025/march-20/sha1-replaced-with-sha256-for-the-storefront-sso-feature.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
